BEEM - Android XMPP - Bug #284

Beem fails to authenticate - Wireshark analysis - DIGEST-MDS5 protocol error?
Description

Hi,

I'm running Jabberd2 2.2.8 on Ubuntu Server 10.04 (Lucid). I'm not using the default port for c2s connections. Beem 0.1.4 fails to
authenticate. Disabling TLS on the server (and clients) has no effect.

I'm sure the server is ok because my desktop client (Psi) works fine. So | disabled TLS on the server and did a little work with
tcpdump and Wireshark.

There are two main differences between the Psi and Beem conversations. Firstly, Psi opens with '<?xml version="1.0"?>". Beem
leaves this out, but | don't think it is important.

Both clients select DIGEST-MD5 authentication. This appears to involve two challenge-response pairs of stanzas. For both clients,
the first challenge-response pair looks good. The second challenge-response pair looks like the problem.

Psi responds to the second challenge with:

<response xmins="urn:ietf:params:xml:ns:xmpp-sasl"/>

The server returns a 'success' stanza. Beem responds with:

<response xmins="urn:ietf:params:xml:ns:xmpp-sasl">=</response>

The server returns a 'failure’ stanza. You see the difference? An '=' symbol.

I hope this helps as | would like to try Beem. At the moment I'm stuck with Jabiru which won't stay connected. :/
| attach the conversations with the server as text.

Regards,
Adam J Richardson

Associated revisions

Revision 786:5629d4b4f04c - 07/21/2010 11:24 PM - Frédéric Barthéléry

Add a patch for asmack to fix sasl incorrect encoding.
Update asmack library.
Fix bug #284

Revision 786:5629d4b4f04c - 07/21/2010 11:24 PM - Da Risk

Add a patch for asmack to fix sasl incorrect encoding.
Update asmack library.
Fix bug #284

Revision 786:5629d4b4f04c - 07/21/2010 11:24 PM - Da Risk

Add a patch for asmack to fix sasl incorrect encoding.
Update asmack library.
Fix bug #284
#1 - 07/20/2010 12:12 PM - Adam J
Hi,
This is my issue report. Apologies for not including my Android information.

your Android device: HTC Magic (MT3G 32B)

your Android version: 2.1-update1 (CyanogenMod-5.0.8-DS, kernel 2.6.34-cyanogenmod)

Regards,
Adam J Richardson

#2 - 07/21/2010 11:07 PM - Frédéric Barthéléry
- Status changed from New to Assigned
- Assignee set to Frédéric Barthéléry

- Target version set to 0.1.5

Hi Adam,

Thank you for reporting this issue.

This is a little bug in the smack library. It should be resolved soon and you will be able to test Beem finally :)

Cheers

#3 - 09/17/2010 11:09 AM - Frédéric Barthéléry

- Status changed from Assigned to Resolved

#4 - 10/05/2010 09:37 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed

Files

beem.ixt 1.56 KB 07/20/2010 Anonymous

psi.txt 2.72 KB 07/20/2010 Anonymous
